View Issue Details

IDProjectCategoryView StatusLast Update
0023627mantisbtfeaturepublic2018-02-06 21:17
Reporterrainflood2Assigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023627: Summary page enhancement with bugs ratio support
Description

In summary page, it is helpfull to add two columns as in manageri's veiw, in by_project, by_enum, by_developer and by_reporter summary tables: resolved bug ratio, i.e. (resolved + closed)/total *100%, and item ratio, i.e. (item total)/(sum of total bugs).

TagsNo tags attached.

Relationships

related to 0023854 closeddregad Summary: always show the "By Project" box 

Activities

rainflood2

rainflood2

2017-11-12 23:08

reporter  

1.png (30,285 bytes)
1.png (30,285 bytes)
atrol

atrol

2017-11-13 02:04

developer   ~0058182

PR https://github.com/mantisbt/mantisbt/pull/1231

Related Changesets

MantisBT: master 1c2b9340

2017-11-07 05:50:35

rainflood


Committer: dregad Details Diff
Summary: added bugs ratio and resolved ratio

In summary page, added two columns in by_project, by_enum, by_developer
and by_reporter summary tables:
- resolved bug ratio, i.e. (resolved + closed)/total * 100%
- item ratio, i.e. (item total)/(sum of total bugs).

A new 'summary_header' string variable was added in replacement of the
old 'orct' one, to support the 2 new columns; structure and processing
of this string was changed from the original, it is no longer wrapped in
parenthesis, so it can be parsed with a simple explode() call instead of
relying on preg_split().

This commit is a squash of rainflood's original work, following
discussion in PR https://github.com/mantisbt/mantisbt/pull/1231,
including some adjustments by dregad.

Note: the change includes refactoring of the original code, to reduce
duplication, remove useless code and simplify it.

Fixes 0023627

Signed-off-by: Damien Regad <dregad@mantisbt.org>
Affected Issues
0023627
mod - core/summary_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - summary_page.php Diff File

Issue History

Date Modified Username Field Change
2017-11-12 23:08 rainflood2 New Issue
2017-11-12 23:08 rainflood2 File Added: 1.png
2017-11-13 02:04 atrol Note Added: 0058182
2017-11-13 02:04 atrol Assigned To => community
2017-11-13 02:04 atrol Status new => assigned
2018-01-20 18:08 dregad Changeset attached => MantisBT master 1c2b9340
2018-01-20 18:08 dregad Assigned To community => dregad
2018-01-20 18:08 dregad Status assigned => resolved
2018-01-20 18:08 dregad Resolution open => fixed
2018-01-20 18:08 dregad Fixed in Version => 2.11.0
2018-01-20 18:12 dregad Target Version => 2.11.0
2018-01-20 18:13 dregad Relationship added related to 0023854
2018-02-06 21:17 vboctor Status resolved => closed